| The Red Matrix

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

All Classes Namespaces Files Functions Variables Pages
Functions | Variables
friendica-to-smarty-tpl Namespace Reference

## Functions
def | fToSmarty
def | fix_element
def | convert
def | help

## Variables
string | ldelim = '{{'
string | rdelim = '}}'
string | path = ''
string | outpath = path+'smarty3/'
tuple | files = os.listdir(path)
| php_tpl = True
tuple | filename = os.path.join(path,a_file)
tuple | ext = a_file.split('.')
tuple | f = open(filename, 'r')
tuple | newfilename = os.path.join(outpath,a_file)
tuple | outf = open(newfilename, 'w')

## Function Documentation

def friendica-to-smarty-tpl.convert | ( |  | filename,
|  |  | tofilename,
|  |  | php_tpl
| ) |  |

def friendica-to-smarty-tpl.fix_element | ( |  | element | ) |

Referenced by convert().

def friendica-to-smarty-tpl.fToSmarty | ( |  | matches | ) |

def friendica-to-smarty-tpl.help | ( |  | pname | ) |

## Variable Documentation

tuple friendica-to-smarty-tpl.ext = a_file.split('.')

tuple friendica-to-smarty-tpl.f = open(filename, 'r')

Referenced by photos_content().

tuple friendica-to-smarty-tpl.filename = os.path.join(path,a_file)

Referenced by FriendicaSmarty.parsed(), and photos_content().

tuple friendica-to-smarty-tpl.files = os.listdir(path)

string friendica-to-smarty-tpl.ldelim = '{{'

Referenced by App.get_template_ldelim().

tuple friendica-to-smarty-tpl.newfilename = os.path.join(outpath,a_file)

tuple friendica-to-smarty-tpl.outf = open(newfilename, 'w')

string friendica-to-smarty-tpl.outpath = path+'smarty3/'

string friendica-to-smarty-tpl.path = ''

Referenced by App.__construct(), App.get_baseurl(), App.set_baseurl(), and App.set_path().

friendica-to-smarty-tpl.php_tpl = True

string friendica-to-smarty-tpl.rdelim = '}}'

Referenced by App.get_template_rdelim().